<?php
/**
 * @version $Id$
 * @package    ContactEnhanced
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 30-Apr-2010
 */

//-- No direct access
defined('_JEXEC') or die('Access Denied - Please do not try to fool me! ;-)');

/**
 * Helper class for ContactEnhanced
 */
class ModContactEnhancedHelper
{
	function loadContact( &$contactId,&$params, &$row)
	{
		require_once(JPATH_BASE .DS.'administrator'.DS.'components'.DS.'com_contact_enhanced'.DS.'configuration.php');
		$config	= new CEConfig();
		require_once(JPATH_BASE .DS.'components'.DS.'com_contact_enhanced'.DS.'defines.php');
		require_once(JPATH_BASE .DS.'components'.DS.'com_contact_enhanced'.DS.'models'.DS.'contact.php');
		require_once(JPATH_BASE .DS.'components'.DS.'com_contact_enhanced'.DS.'customFields.class.php');
		require_once(JPATH_BASE .DS.'components'.DS.'com_contact_enhanced'.DS.'helper'.DS.'helper.php');
		
		$app = JFactory::getApplication();
		
		$ceObj			= new JObject();	
		$ceObj->params	= &$app->getParams('com_contact_enhanced');
		$ceObj->user	= &JFactory::getUser();
		$document		= & JFactory::getDocument();
		
		if($params->get('contact_postion')){
			$style	= ' style="float:'.$params->get('contact_postion').'; '.$params->get('contact_layer_style').'" ';
		}else{
			$style	= '';
		}
	
		$model		= new ContactModelContact();
	
		// query options
		$options['id']		= $contactId;
		$options['aid']		= $ceObj->user->get('aid', 0);
	
		$ceObj->contact		= $model->getContact( $options );
		if(!is_object($ceObj->contact)){
			return JText::sprintf('CE_PLUGIN_THERE_IS_NO_CONTACT_ID',$contactId);
		}
		$ceObj->customfields= $model->getCustomFields( $ceObj->contact->catid);
	//echo 'Test: <pre>'; print_r($ceObj->contact); exit;	 
		// Adds parameter handling
		$ceObj->contact->params = new JParameter($ceObj->contact->params);
	
		$ceObj->params->merge($ceObj->contact->params);
		$ceObj->params->set('plugin_active',1);
		
		JHTML::_('behavior.mootools');
		JHTML::_('behavior.tooltip');
		
		JRequest::setVar( 'content_title',	ceHelper::encode($document->getTitle() ) );
		JRequest::setVar( 'content_url',	ceHelper::encode(JURI::current() ) );
		
		
		$html 	= '<div class="ce-contact_email" '.$style.'>';
		
		// In case form is sent and plugin setup to show thank you message when submitted
		if(JRequest::getVar( 'msgsent' ) AND $params->get('after_submit') == 'thankyoumessage'){
	 			$html 	.= '<div class="ce-plugin-message">'.JText::_('PLUGIN_THANK_YOU_MESSAGE').'</div>';
	 			$html 	.= '</div>';
	 			return $html;
		}
		
		if($params->get('after_submit') != 'global'){
			if($params->get('after_submit') == 'redirect' AND trim($params->get('after_submit-redirect-url'))){
				$ceObj->params->set('return_url',$params->get('after_submit-redirect-url') );
				$ceObj->params->set('thankyoumsg','redirect');
			}else{
				$router	= $app->getRouter();
				$vars	= $router->getVars(); 
				$vars['msgsent']	= 1;
				$ceObj->params->set('return_url','index.php?'.JURI::buildQuery($vars));
			}
			if($params->get('after_submit') == 'thankyoumessage'){
				$ceObj->params->set('thankyoumsg','redirect');
			}
		}
		$html	.=ceHelper::loadForm($ceObj,'module');
		$html	.= '</div>';
		return $html;
	}
	
} //end ModContactEnhancedHelper