<?php
/**
* @copyright	Copyright (C) 2005 - 2010 Ideal Custom Software Dedvelopment. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @author		Douglas de Senne Machado <machadoug@gmail.com>
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$mainframe->registerEvent( 'onPrepareContent', 'plgContentContactAuthor' );

/**
* Plugin that loads a link to Contact Enhanced within content
*/
function plgContentContactAuthor(&$row, &$params, $page=0 )
{	
	$plugin =& JPluginHelper::getPlugin('content', 'contactauthor');
 	$pluginParams = new JParameter( $plugin->params );
//echo '<pre>'; print_r($row); exit;

 	// simple performance check to determine whether bot should process further
 	if(!$row->created_by){
 		return '';
 	}
	if(!in_array($row->sectionid, (array)$pluginParams->get('exclude-sections')) 
		OR ((int)$row->sectionid == 0) AND $pluginParams->get('parse_uncategorised',0) ){

		$db =&  JFactory::getDBO();
 		$db->setQuery('SELECT * FROM #__users WHERE id='.$db->Quote($row->created_by));
 		$author	= $db->loadObject(); 
 	
	 	if(!isset($author->id)){
	 		return '';
	 	}
	 	
	 	$view		= JRequest::getCmd('view');
	 	if($view != 'article' AND $pluginParams->get('views', 'article') == 'article'){
	 		return '';
	 	}
	 	// Load the language files from the frontend
		$lang =&  JFactory::getLanguage();
		$lang->load('com_contact_enhanced');
	
		if($row->created_by_alias){
			$author_slug = $row->created_by.':'.JFilterOutput::stringURLSafe($row->created_by_alias);
		}else{
			$author_slug = $row->created_by.':'.JFilterOutput::stringURLSafe($author->name);
		}
		$html	= '';
		$html .= '<div class="ce-cap-container">';
			$buttonText	= JText::_('CE_AP_CONTACT_AUTHOR');
			if($pluginParams->get('image') AND $pluginParams->get('image') != -1){
				$buttonText	= JHTML::_('image',JURI::base().'images/stories/'.$pluginParams->get('image'),$buttonText	);
			}
			$linkAttributes	= '';
			$linkURL	= JRoute::_('index.php?option=com_contact_enhanced&view=contact&id='
								.$pluginParams->get('contact_id')
								.'&layout='.JText::_('CE_AP_URL_LAYOUT_AUTHOR')
								.'&author_id='.$author_slug
								.($pluginParams->get('modal',1) ? '&tmpl=component' : '') 
							);
			
			if($pluginParams->get('modal',1)){
				JHTML::_('behavior.modal', 'a.modal');
				$linkAttributes	.= ' class="modal" rel="{handler: \'iframe\', size: {x:800, y:480}}" ';
			}
			$html .= JHTML::_('link', $linkURL ,$buttonText, $linkAttributes);
			
		$html .= '</div>';
		
		if($pluginParams->get('position') == 'top'){
			$row->text	= $html.$row->text;
		}else{
			$row->text	= $row->text.$html;
		}
		
		/*$row->created_by_alias = JHTML::_('link', 
									$linkURL ,
									($row->created_by_alias ? $row->created_by_alias : $author->name) , 
									$linkAttributes
							); */
		if ($pluginParams->get('style') != '.' AND !defined('CE_CAP_STYLES_LOADED')){
			$document =& JFactory::getDocument();
			$document->addStyleDeclaration(str_ireplace('[site_url]',JURI::base(),$pluginParams->get('style')));
			define('CE_CAP_STYLES_LOADED',1);	
		}
		
	}

}