<?php
/**
 * @package		com_contactenhanced
 * @copyright	Copyright (C) 2006 - 2010 Ideal Custom Software Development
 * @author		Douglas Machado {@link http://ideal.fok.com.br}
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die; 

if($this->contact->params->get('qr',0)){
	$app		= & JFactory::getApplication();
	$SiteName 	= $app->getCfg('sitename');
	$size		= $this->contact->params->get('qr-enabled-size',	'150');		// graphic dimensions pixels
	$ecc		= $this->contact->params->get('qr-enabled-ecc',		'L');		// ecc mode L,M,Q,H (L is lowest/H is highest)
	$type		= $this->contact->params->get('qr-enabled-type',	'vcard');	// ecc mode L,M,Q,H (L is lowest/H is highest)
	$contactId	= $this->contact->id;
	$imageContainer	= "ce-qrcode-contact-{$contactId}";
	$url		= JURI::root();
	
	

			$doc	= JFactory::getDocument();
			$script	= "google.load('visualization', '1', {packages:['imagechart']}); 

window.addEvent('domready', function() {
	var queryString = '';
	var dataUrl = '';
	if (dataUrl.length > 0) {
		var query = new google.visualization.Query(dataUrl);
		query.setQuery(queryString);
		query.send(handleQueryResponse);
	} else {
		var dataTable = new google.visualization.DataTable();
		ceQRCode.getInfo(dataTable,'{$imageContainer}','{$size}','{$ecc}','{$url}','{$contactId}','{$type}');
	}
});
function handleQueryResponse(response) {
	if (response.isError()) {
		alert('".JText::_('COM_CONTACTENHANCED_QRCODE_QUERY_ERROR').": ' + response.getMessage() + ' ' + response.getDetailedMessage());
		return;
	}
	ceQRCode.getInfo(dataTable,'{$imageContainer}','{$size}','{$ecc}','{$url}','{$contactId}','{$type}');
}

";
	
	$doc->addScriptDeclaration($script);
	$style= "width:{$size}px;";
	
	
	
	$html	= '<div class="ce-qrcode-container" style="'.$style.'">';
		$html	.= '<div id="'.$imageContainer.'" class="ce-qrcode"></div>';
		if($this->contact->params->get('qr-enabled-tooltip',0)	){
			$html	.= '<div class="qrcode-tootip">'.JHTML::tooltip(
							JText::_('COM_CONTACTENHANCED_QR_CODE_TOOLTIP_TEXT'),
							JText::_('COM_CONTACTENHANCED_QR_CODE_TOOLTIP_TITLE'),
							'',
							JText::_('COM_CONTACTENHANCED_QR_CODE_TOOLTIP_LABEL')
						).'</div>';	
		}
	$html	.= '</div>';
	
	
	echo $html;
} 
